/* Style do przeniesienia do głownego pliku style */
/*
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
}
*/

/* Stylowanie slidera */
.slider-container {
    position: relative;
    width: 100%;
    margin: 0 auto;
    overflow: hidden;
}
.main-slider {
	z-index: 99;
	display: flex;
	transition: transform 1.5s ease-in-out;
}
.main-slider span.filter{
	z-index: 10;
	position: absolute;
	top: 0;
	right: 0;
	left: 0;
	bottom: 0;
}
.slide{
	position: relative;
    	min-width: 100%;
	overflow: hidden;
}
.home .slide {
	height: calc(100vh - 166px);
}
.slide figure{
	margin: 0;
	/*height: calc(100vh - 166px);*/
	height: 100%;
}
@media screen and (min-width: 768px){
	/* page_template change */
	.page-template .slide figure{
		max-height: 480px;
	}
	.home .slide {
		height: calc(58vh);
	}
}
@media screen and (min-width: 820px){
	.home .slide {
		height: 75vh;
	}
}
@media screen and (min-width: 1024px){
	.home .slide {
		height: 80vh;
	}
}
.slide figure img { /* do sprawdzenia */
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0.8;
}
.slide-content{
	z-index: 11;
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	display: flex;
	justify-content: flex-start;
	/*justify-content: center;*/
	align-items: center; 
	padding: 0 1rem; }
@media (min-width: 480px){
	.slide-content{
		padding: 0 2rem;
	}
}
.slide-content h3,
.slide-content p{
	color: var(--text-color-light);
	font-size: 1rem;
}
span.link-color-ch{
	color: var(--link-color);}
.slide-content a{
	color: var(--text-color-light);
}
.slide-content h3{
	margin: 0;
	font-size: 1.8rem; }
.slide-content-wrapp-st{ /* kiedy brak js */
	position: absolute;
	z-index: 99;
/*	top: 50%;
	transform: translateY(-50%); */
	max-width: 480px;
	text-align: center; }
.slide-content-wrapp{
/*	position: absolute;  */
	z-index: 99;
/*	top: -100%; /* kiedy jest js */
/*	transform: translateY(-50%); */
/*	max-width: 320px; */
	text-align: center;
/*	animation: slideup 1.5s ease; */}
.slide-content .extra-image{
	flex: 1 1 25%;
	display: none; }
.slide-content .extra-image img{
/*	position: absolute; */
	z-index: 99;
	right: 0;
	top: 0; }
.slide.showdown .slide-content-wrapp{
	position: relative;
	z-index: 999;
/*	top: 50%; */
/*	animation: slidedown 1.5s ease; */
}
.slide.showup .slide-content-wrapp{
	/*top: 50%;*/
/*	animation: slideup 1.5s ease; */
}
@media (min-width: 768px){
	.slide-content .extra-image{
		display: flex;
		justify-content: center;
		height: 100%;
       	max-height: 640px; 
		max-width: 600px; }
	.slide-content .extra-image img{
		object-fit: contain; }
}
@keyframes slidedown{
	0%{
		top: -100%; }
	100%{
		top: 50%; }
}
@keyframes slideup{
	0%{
		top: 50%; }
	100%{
		top: -100%; }
}

@media screen and (min-width: 640px){
	.slide-content-wrapp-st,
	.slide-content-wrapp{
		flex: 1 1 75%;
		max-width: 540px; }
}
@media screen and (min-width: 768px){
        .slide-content-wrapp-st,
        .slide-content-wrapp{
			flex: 1 1 60%;
            max-width: 640px; }
.slide-content .extra-image{
			flex: 1 1 40%; }
        .slide-content-wrapp h3{
			text-align: left;
			font-size: 2.8rem; }
        .slide-content-wrapp p{
			text-align: left; }
        .slide-text{
			text-align: left;
            font-size: 1rem; }
	.slide-text p{
		color: var(--text-color-light); }
}
@media screen and (min-width: 1024px){
        .slide-content-wrapp{
			padding-left: 1rem;
			padding-bottom: 1rem;
			text-align: left; }
        .slide-content-wrapp h3{
            font-size: 4rem; }
}
@media (min-width: 1200px){
	}
@media screen and (min-width: 1400px){
	.slide-content-wrapp-st,
	.slide-content-wrapp{
		text-align: left;
		max-width: 640px;
	}
}
.slide-content-wrapp-st figure.slide-accent,
.slide-content-wrapp figure.slide-accent{
	height: inherit;
}
.slide-content-wrapp-st figure.slide-accent img,
.slide-content-wrapp figure.slide-accent img{
	max-height: 14px;
	width: auto;
}
.slide-content-wrapp-st .slide-text > p a,
.slide-content-wrapp .slide-text > p a{
	color: var(--color-1);
}
.slide-content-wrapp-st .slide-text > p a:hover,
.slide-content-wrapp .slide-text > p a:hover{
	color: var(--link-color-hover);
}
.slide-content-wrapp-st .slide-text a.bg-bot,
.slide-content-wrapp .slide-text a.bg-bot{
	display: inline-flex;
	padding: 1.2rem 1rem;
	border-radius: 0.2rem;
}


a.bt-1{
	padding: 1rem;
	border-radius: 0.2rem;
	text-align: center;
	color: var(--text-color-light);
	background: linear-gradient( #28292b 50%, var(--link-color-hover) 50%);
	background-size: 100% 200%;
	border: 1px solid var(--link-color-hover);
	background-position-y: 0%;
	transition: 0.4s;
}

a.bt-2{
	padding: 1rem;
	border-radius: 0.2rem;
	text-align: center;
	color: var(--text-color-light);
	background: linear-gradient( var(--menu-color) 50%, var(--link-color-hover) 50%);
	background-size: 100% 200%;
	background-position-y: 0%;
	transition: 0.4s;
}
a.bt-1:hover,
a.bt-2:hover{
	background-position-y: 100%;
}

/* Btns */
.prevNext-wrapp{
	position: absolute;
	width: 100%;
	height: 100%;
	max-width: 1900px;
	max-height: 110px;
	left: 0;
	right: 0;
	top: 50%;
	margin: 0 auto;
}
.prevNext-btns{
	position: absolute;
	z-index: 99;
	display: flex;
	justify-content: space-between;
	align-items: center;	
	gap: 1rem;
	height: 53px;
	margin: 0 auto;
	right: 0;
	left: 0;
	bottom: 1.8rem;
}
button.prev,
button.next{
	position: absolute;
	top: 50%;
/*	width: 72px;*/
	border-radius: 0.4rem;
	border: 0;
	padding: 0;
	margin: 0;
	overflow: hidden;
	transition: 0.2s height;
	color: var(--color-1);
	background: transparent;
}
@media (min-width: 1400px){
	button.prev,
	button.next{
		margin: 0 1rem;
	}
}
button.prev{
	height: 37px;
	left: 0.5rem;
}
button.next{
	height: 53px;
	right: 0.5rem;
}
@media (min-width: 1200px){
	button.prev{
		left: 0; }
	button.next{
		right: 0; }
}
button.prev .prev-arrow,
button.next .next-arrow{
	position: relative;
	z-index: 99999;
	display: block;
}

button.prev::after,
button.next::after{
	content: "";
  	position: absolute;
	top: 0;
	left: 0;
	width: 72px;
	height: 101%;
	transform: scaleY(0);
	transform-origin: bottom;
	transition:
	transform 0.5s ease;
	z-index: 1;
	/*background-color: var(--link-color-hover);*/
	text-align: left;
}

button.prev:hover,
button.next:hover{
    cursor: pointer;
}
button.prev:hover::after,
button.next:hover::after{
    transform: scaleY(1);
    transform-origin: bottom;
}

/* Urządzemia mobilne */
/* LANDSCAPE: niska wysokość ekranu */
@media (orientation: landscape) and (max-height: 450px) {
    .home .slide {
        height: 60vh; /* albo nawet auto */
    }

    .slide-content h3 {
        font-size: 1.2rem;
        line-height: 1.2;
    }

    .slide-content p {
        font-size: 0.8rem;
        margin: 0.3rem 0;
    }

    .slide-content-wrapp .slide-text a {
        padding: 0.6rem;
        font-size: 0.8rem;
    }
}
